import { Component, OnInit, AfterContentInit, Input, OnChanges } from '@angular/core';
import { InfraHost } from '@overflow/commons-typescript/model/infra';
import { InfraService } from '../../service/infra.service';


@Component({
  selector: 'of-service-summary',
  templateUrl: './service-summary.component.html',
})
export class ServiceSummaryComponent implements OnInit, AfterContentInit, OnChanges {

  @Input() service: InfraService;
  @Input() visible: boolean;

  constructor(
  ) { }

  ngOnInit() {
  }

  ngAfterContentInit() {
    console.log(this.service);
  }

  ngOnChanges() {
  }

}

